Skip to content
Management API Reference

Create a notebook

post/v2/projects/{ref}/notebooks

Creates a notebook shared with everyone who has access to the project. Cell ids are assigned by the server and returned in the response.

OAuth scopes

  • database:write

The fine-grained token must include the following permissions to access this endpoint:

  • project_notebooks_write

Path parameters

  • ref
    Required
    string

    Project ref

Body

  • data
    Required
    object

Response codes

  • 201
  • 400
  • 401
  • 403
  • 429
  • 500

Response (201)

{
"data": {
"type": "notebook",
"id": "lorem",
"attributes": {
"name": "lorem",
"description": "lorem",
"favorite": true,
"inserted_at": "lorem",
"updated_at": "lorem",
"owner": {
"id": 42,
"username": "lorem"
},
"updated_by": {
"id": 42,
"username": "lorem"
},
"content": {
"schema_version": 42,
"cells": [
{
"id": "lorem",
"type": "markdown",
"text": "lorem"
}
]
}
}
}
}